Trusts
Create a trust
Create a new trust for a household
POST
/
v1
/
households
/
{household_id}
/
trusts
Create a trust
curl --request POST \
--url https://api.slant.app/v1/households/{household_id}/trusts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Smith Family Trust",
"tax_id": "12-3456789",
"additional_info": "Revocable living trust"
}
'import requests
url = "https://api.slant.app/v1/households/{household_id}/trusts"
payload = {
"name": "Smith Family Trust",
"tax_id": "12-3456789",
"additional_info": "Revocable living trust"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Smith Family Trust',
tax_id: '12-3456789',
additional_info: 'Revocable living trust'
})
};
fetch('https://api.slant.app/v1/households/{household_id}/trusts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abc123xyz",
"book_id": "book123xyz",
"household_id": "household123xyz",
"name": "Smith Family Trust",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tax_id": "12-3456789",
"additional_info": "<string>"
}{
"error": "invalid_json",
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
OAuth 2.0 Bearer Token from Clerk authentication
Headers
Unique key to ensure idempotent request handling. If a request with the same key was already processed, the original response will be returned.
Path Parameters
The household ID
Body
application/json
Response
trust created
The trust ID
Example:
"abc123xyz"
The book ID
Example:
"book123xyz"
The household ID
Example:
"household123xyz"
Trust name
Example:
"Smith Family Trust"
When the trust was created
When the trust was last updated
Tax ID
Example:
"12-3456789"
Additional information
⌘I
Create a trust
